%global _python_bytecompile_extra 0
%global srcname pyqtgraph
%global py3_deps python%{python3_pkgversion}-PyQt5 python%{python3_pkgversion}-numpy python%{python3_pkgversion}-pyopengl
%global __python3 /usr/bin/python3.11
%global python3_pkgversion 3.11

Name:           python-%{srcname}
Version:        0.12.4
Release:        4%{?dist}
Summary:        Scientific Graphics and GUI Library for Python
License:        MIT
URL:            https://www.pyqtgraph.org/
Source0:        https://github.com/pyqtgraph/pyqtgraph/archive/refs/tags/pyqtgraph-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# For Docs
# BuildRequires:  make %%{py3_dist sphinx sphinx_rtd_theme}
# For Tests
# BuildRequires:  %%{py3_dist h5py pytest pytest-xvfb scipy six}
# BuildRequires:  mesa-dri-drivers %%{py3_deps}

%global _description %{expand:
PyQtGraph is a pure-python graphics and GUI library built on PyQt4 / PySide and
numpy. It is intended for use in mathematics / scientific /engineering
applications. Despite being written entirely in python, the library is very
fast due to its heavy leverage of numpy for number crunching and Qt\'s
GraphicsView framework for fast display.}

%description %_description


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires:       %{py3_deps}

%description -n python%{python3_pkgversion}-%{srcname} %_description

%package doc
Summary:        Documentation for the %{srcname} library

%description doc
This package provides documentation for the %{srcname} library.

%prep
%autosetup -p1 -n %{srcname}-%{srcname}-%{version}

%build
%py3_build
# make -C doc html

%install
%py3_install
rm -rf %{buildroot}/%{python3_sitelib}/pyqtgraph/examples
rm -f doc/build/html/.buildinfo
rm -f doc/build/html/objects.inv

# %%check
# https://github.com/pyqtgraph/pyqtgraph/issues/1475 (test_reload)
# https://github.com/pyqtgraph/pyqtgraph/issues/2110 (test_PolyLineROI)
# %%pytest -k "not (test_reload or test_PolyLineROI)"

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc CHANGELOG README.md
%{python3_sitelib}/*

# %%files doc
# %%doc pyqtgraph/examples doc/build/html

%changelog
